<?php

namespace Confirmit\Authoring;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'GetDatabaseLastCompiled' => '\\Confirmit\\Authoring\\StructType\\GetDatabaseLastCompiled',
            'GetDatabaseLastCompiledResponse' => '\\Confirmit\\Authoring\\StructType\\GetDatabaseLastCompiledResponse',
            'AddProjectFromTripleS' => '\\Confirmit\\Authoring\\StructType\\AddProjectFromTripleS',
            'SssSchema' => '\\Confirmit\\Authoring\\StructType\\SssSchema',
            'SssSurvey' => '\\Confirmit\\Authoring\\StructType\\SssSurvey',
            'SpecializedTexts' => '\\Confirmit\\Authoring\\StructType\\SpecializedTexts',
            'SssText' => '\\Confirmit\\Authoring\\StructType\\SssText',
            'SssRecord' => '\\Confirmit\\Authoring\\StructType\\SssRecord',
            'SssVariable' => '\\Confirmit\\Authoring\\StructType\\SssVariable',
            'SssPosition' => '\\Confirmit\\Authoring\\StructType\\SssPosition',
            'SssSpread' => '\\Confirmit\\Authoring\\StructType\\SssSpread',
            'ArrayOfChoice1' => '\\Confirmit\\Authoring\\StructType\\ArrayOfChoice1',
            'SssRange' => '\\Confirmit\\Authoring\\StructType\\SssRange',
            'SssValueBase' => '\\Confirmit\\Authoring\\StructType\\SssValueBase',
            'SssValue' => '\\Confirmit\\Authoring\\StructType\\SssValue',
            'SssHierarchy' => '\\Confirmit\\Authoring\\StructType\\SssHierarchy',
            'SssLevel' => '\\Confirmit\\Authoring\\StructType\\SssLevel',
            'SssParent' => '\\Confirmit\\Authoring\\StructType\\SssParent',
            'SssQuantum' => '\\Confirmit\\Authoring\\StructType\\SssQuantum',
            'AddProjectFromTripleSResponse' => '\\Confirmit\\Authoring\\StructType\\AddProjectFromTripleSResponse',
            'GetProjectList' => '\\Confirmit\\Authoring\\StructType\\GetProjectList',
            'ProjectListToken' => '\\Confirmit\\Authoring\\StructType\\ProjectListToken',
            'GetProjectListResponse' => '\\Confirmit\\Authoring\\StructType\\GetProjectListResponse',
            'ProjectListResultSet' => '\\Confirmit\\Authoring\\StructType\\ProjectListResultSet',
            'ProjectList' => '\\Confirmit\\Authoring\\StructType\\ProjectList',
            'ProjectListBase' => '\\Confirmit\\Authoring\\StructType\\ProjectListBase',
            'ArrayOfProject' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfProject',
            'Project' => '\\Confirmit\\Authoring\\StructType\\Project',
            'ArrayOfString' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfString',
            'GetProjectListByProjectName' => '\\Confirmit\\Authoring\\StructType\\GetProjectListByProjectName',
            'GetProjectListByProjectNameResponse' => '\\Confirmit\\Authoring\\StructType\\GetProjectListByProjectNameResponse',
            'GetProjectListByCreator' => '\\Confirmit\\Authoring\\StructType\\GetProjectListByCreator',
            'GetProjectListByCreatorResponse' => '\\Confirmit\\Authoring\\StructType\\GetProjectListByCreatorResponse',
            'GetProjectListByKeywords' => '\\Confirmit\\Authoring\\StructType\\GetProjectListByKeywords',
            'ArrayOfString1' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfString1',
            'GetProjectListByKeywordsResponse' => '\\Confirmit\\Authoring\\StructType\\GetProjectListByKeywordsResponse',
            'GetProjectListByCreatedDate' => '\\Confirmit\\Authoring\\StructType\\GetProjectListByCreatedDate',
            'GetProjectListByCreatedDateResponse' => '\\Confirmit\\Authoring\\StructType\\GetProjectListByCreatedDateResponse',
            'AddProject' => '\\Confirmit\\Authoring\\StructType\\AddProject',
            'AddProjectResponse' => '\\Confirmit\\Authoring\\StructType\\AddProjectResponse',
            'DeleteProject' => '\\Confirmit\\Authoring\\StructType\\DeleteProject',
            'DeleteProjectResponse' => '\\Confirmit\\Authoring\\StructType\\DeleteProjectResponse',
            'DuplicateProject' => '\\Confirmit\\Authoring\\StructType\\DuplicateProject',
            'DuplicateProjectResponse' => '\\Confirmit\\Authoring\\StructType\\DuplicateProjectResponse',
            'SetCustomProjectInfoField' => '\\Confirmit\\Authoring\\StructType\\SetCustomProjectInfoField',
            'SetCustomProjectInfoFieldResponse' => '\\Confirmit\\Authoring\\StructType\\SetCustomProjectInfoFieldResponse',
            'GetCustomProjectInfoField' => '\\Confirmit\\Authoring\\StructType\\GetCustomProjectInfoField',
            'GetCustomProjectInfoFieldResponse' => '\\Confirmit\\Authoring\\StructType\\GetCustomProjectInfoFieldResponse',
            'GetProjectInfo' => '\\Confirmit\\Authoring\\StructType\\GetProjectInfo',
            'GetProjectInfoResponse' => '\\Confirmit\\Authoring\\StructType\\GetProjectInfoResponse',
            'SurveySchema' => '\\Confirmit\\Authoring\\StructType\\SurveySchema',
            'ReadFilter' => '\\Confirmit\\Authoring\\StructType\\ReadFilter',
            'ReadFilterSimple' => '\\Confirmit\\Authoring\\StructType\\ReadFilterSimple',
            'ArrayOfInt' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfInt',
            'PoetReadFilter' => '\\Confirmit\\Authoring\\StructType\\PoetReadFilter',
            'ArrayOfNodeType' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfNodeType',
            'Root' => '\\Confirmit\\Authoring\\StructType\\Root',
            'Node' => '\\Confirmit\\Authoring\\StructType\\Node',
            'PredefinedList' => '\\Confirmit\\Authoring\\StructType\\PredefinedList',
            'ArrayOfChoice15' => '\\Confirmit\\Authoring\\StructType\\ArrayOfChoice15',
            'HeaderAnswer' => '\\Confirmit\\Authoring\\StructType\\HeaderAnswer',
            'AnswerBase' => '\\Confirmit\\Authoring\\StructType\\AnswerBase',
            'LoopMember' => '\\Confirmit\\Authoring\\StructType\\LoopMember',
            'ArrayOfAnswerText' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfAnswerText',
            'AnswerText' => '\\Confirmit\\Authoring\\StructType\\AnswerText',
            'HeaderAnswerEnd' => '\\Confirmit\\Authoring\\StructType\\HeaderAnswerEnd',
            'LoopLevelReference' => '\\Confirmit\\Authoring\\StructType\\LoopLevelReference',
            'HieararchyAnswer' => '\\Confirmit\\Authoring\\StructType\\HieararchyAnswer',
            'ArrayOfHierarchyNode' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfHierarchyNode',
            'HierarchyNode' => '\\Confirmit\\Authoring\\StructType\\HierarchyNode',
            'HierarchyLevel' => '\\Confirmit\\Authoring\\StructType\\HierarchyLevel',
            'Predefined' => '\\Confirmit\\Authoring\\StructType\\Predefined',
            'GridAnswer' => '\\Confirmit\\Authoring\\StructType\\GridAnswer',
            'ArrayOfGridAnswerText' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfGridAnswerText',
            'GridAnswerText' => '\\Confirmit\\Authoring\\StructType\\GridAnswerText',
            'Answer' => '\\Confirmit\\Authoring\\StructType\\Answer',
            'AdditionalColumnAnswer' => '\\Confirmit\\Authoring\\StructType\\AdditionalColumnAnswer',
            'ArrayOfTranslationStatus' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfTranslationStatus',
            'TranslationStatus' => '\\Confirmit\\Authoring\\StructType\\TranslationStatus',
            'ProjectInfo' => '\\Confirmit\\Authoring\\StructType\\ProjectInfo',
            'ArrayOfLanguageString7' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfLanguageString7',
            'LanguageString' => '\\Confirmit\\Authoring\\StructType\\LanguageString',
            'ArrayOfLanguageString8' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfLanguageString8',
            'ArrayOfLanguageString9' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfLanguageString9',
            'ArrayOfLanguageString10' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfLanguageString10',
            'ArrayOfLanguageString11' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfLanguageString11',
            'ArrayOfLanguageString12' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfLanguageString12',
            'ArrayOfLanguageString13' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfLanguageString13',
            'ArrayOfLanguageString14' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfLanguageString14',
            'ArrayOfCustomResource' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfCustomResource',
            'CustomResource' => '\\Confirmit\\Authoring\\StructType\\CustomResource',
            'ArrayOfLangSpecString' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfLangSpecString',
            'LangSpecString' => '\\Confirmit\\Authoring\\StructType\\LangSpecString',
            'Questionnaire' => '\\Confirmit\\Authoring\\StructType\\Questionnaire',
            'ArrayOfPredefinedList' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfPredefinedList',
            'ArrayOfEmail' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfEmail',
            'Email' => '\\Confirmit\\Authoring\\StructType\\Email',
            'QuestionnaireNode' => '\\Confirmit\\Authoring\\StructType\\QuestionnaireNode',
            'QuestionnaireNodeFlexSupport' => '\\Confirmit\\Authoring\\StructType\\QuestionnaireNodeFlexSupport',
            'FormBase' => '\\Confirmit\\Authoring\\StructType\\FormBase',
            'ArrayOfFormText' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfFormText',
            'FormText' => '\\Confirmit\\Authoring\\StructType\\FormText',
            'ArrayOfString2' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfString2',
            'QuestionFormBase' => '\\Confirmit\\Authoring\\StructType\\QuestionFormBase',
            'MultiForm' => '\\Confirmit\\Authoring\\StructType\\MultiForm',
            'ArrayOfChoice6' => '\\Confirmit\\Authoring\\StructType\\ArrayOfChoice6',
            'PredefinedScriptBase' => '\\Confirmit\\Authoring\\StructType\\PredefinedScriptBase',
            'IncludeExcludeWithPrecodes' => '\\Confirmit\\Authoring\\StructType\\IncludeExcludeWithPrecodes',
            'RandomCategorySelection' => '\\Confirmit\\Authoring\\StructType\\RandomCategorySelection',
            'Redirect' => '\\Confirmit\\Authoring\\StructType\\Redirect',
            'IncludeExclude' => '\\Confirmit\\Authoring\\StructType\\IncludeExclude',
            'AssignRequestValues' => '\\Confirmit\\Authoring\\StructType\\AssignRequestValues',
            'MaskOnQuestion' => '\\Confirmit\\Authoring\\StructType\\MaskOnQuestion',
            'OpenForm' => '\\Confirmit\\Authoring\\StructType\\OpenForm',
            'GridForm' => '\\Confirmit\\Authoring\\StructType\\GridForm',
            'ArrayOfChoice4' => '\\Confirmit\\Authoring\\StructType\\ArrayOfChoice4',
            'ArrayOfChoice5' => '\\Confirmit\\Authoring\\StructType\\ArrayOfChoice5',
            'SingleForm' => '\\Confirmit\\Authoring\\StructType\\SingleForm',
            'ArrayOfChoice3' => '\\Confirmit\\Authoring\\StructType\\ArrayOfChoice3',
            'Hierarchy' => '\\Confirmit\\Authoring\\StructType\\Hierarchy',
            'ExternalLookup' => '\\Confirmit\\Authoring\\StructType\\ExternalLookup',
            'CustomTable' => '\\Confirmit\\Authoring\\StructType\\CustomTable',
            'ArrayOfHierarchyElement' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfHierarchyElement',
            'HierarchyElement' => '\\Confirmit\\Authoring\\StructType\\HierarchyElement',
            'Grid3DForm' => '\\Confirmit\\Authoring\\StructType\\Grid3DForm',
            'ArrayOfChoice7' => '\\Confirmit\\Authoring\\StructType\\ArrayOfChoice7',
            'ArrayOfChoice8' => '\\Confirmit\\Authoring\\StructType\\ArrayOfChoice8',
            'InfoForm' => '\\Confirmit\\Authoring\\StructType\\InfoForm',
            'Folder' => '\\Confirmit\\Authoring\\StructType\\Folder',
            'ArrayOfChoice10' => '\\Confirmit\\Authoring\\StructType\\ArrayOfChoice10',
            'Script' => '\\Confirmit\\Authoring\\StructType\\Script',
            'Condition' => '\\Confirmit\\Authoring\\StructType\\Condition',
            'ArrayOfChoice11' => '\\Confirmit\\Authoring\\StructType\\ArrayOfChoice11',
            'Directive' => '\\Confirmit\\Authoring\\StructType\\Directive',
            'Page' => '\\Confirmit\\Authoring\\StructType\\Page',
            'ArrayOfChoice9' => '\\Confirmit\\Authoring\\StructType\\ArrayOfChoice9',
            'ArrayOfLanguageString2' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfLanguageString2',
            'Stop' => '\\Confirmit\\Authoring\\StructType\\Stop',
            'ArrayOfLanguageString' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfLanguageString',
            'ArrayOfLanguageString1' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfLanguageString1',
            'CallBlock' => '\\Confirmit\\Authoring\\StructType\\CallBlock',
            'Block' => '\\Confirmit\\Authoring\\StructType\\Block',
            'ArrayOfChoice13' => '\\Confirmit\\Authoring\\StructType\\ArrayOfChoice13',
            'Loop' => '\\Confirmit\\Authoring\\StructType\\Loop',
            'ArrayOfChoice2' => '\\Confirmit\\Authoring\\StructType\\ArrayOfChoice2',
            'ArrayOfChoice14' => '\\Confirmit\\Authoring\\StructType\\ArrayOfChoice14',
            'Telephone' => '\\Confirmit\\Authoring\\StructType\\Telephone',
            'BaseTelephoneCommand' => '\\Confirmit\\Authoring\\StructType\\BaseTelephoneCommand',
            'DialCommand' => '\\Confirmit\\Authoring\\StructType\\DialCommand',
            'ArrayOfCommandText' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfCommandText',
            'CommandText' => '\\Confirmit\\Authoring\\StructType\\CommandText',
            'AllowIgnoreDialingCommand' => '\\Confirmit\\Authoring\\StructType\\AllowIgnoreDialingCommand',
            'HangupCommand' => '\\Confirmit\\Authoring\\StructType\\HangupCommand',
            'ArrayOfChoice12' => '\\Confirmit\\Authoring\\StructType\\ArrayOfChoice12',
            'ArrayOfLanguageString3' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfLanguageString3',
            'ArrayOfLanguageString4' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfLanguageString4',
            'ArrayOfLanguageString5' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfLanguageString5',
            'ArrayOfLanguageString6' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfLanguageString6',
            'ArrayOfChoice16' => '\\Confirmit\\Authoring\\StructType\\ArrayOfChoice16',
            'ArrayOfBlock' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfBlock',
            'ArrayOfQuota' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfQuota',
            'Quota' => '\\Confirmit\\Authoring\\StructType\\Quota',
            'ArrayOfFormReference' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfFormReference',
            'FormReference' => '\\Confirmit\\Authoring\\StructType\\FormReference',
            'ArrayOfChoice17' => '\\Confirmit\\Authoring\\StructType\\ArrayOfChoice17',
            'GetQuestionnaire' => '\\Confirmit\\Authoring\\StructType\\GetQuestionnaire',
            'GetQuestionnaireResponse' => '\\Confirmit\\Authoring\\StructType\\GetQuestionnaireResponse',
            'GetFilteredQuestionnaire' => '\\Confirmit\\Authoring\\StructType\\GetFilteredQuestionnaire',
            'GetFilteredQuestionnaireResponse' => '\\Confirmit\\Authoring\\StructType\\GetFilteredQuestionnaireResponse',
            'ExportSurvey' => '\\Confirmit\\Authoring\\StructType\\ExportSurvey',
            'ExportSurveyResponse' => '\\Confirmit\\Authoring\\StructType\\ExportSurveyResponse',
            'ExportSurveyLayout' => '\\Confirmit\\Authoring\\StructType\\ExportSurveyLayout',
            'ExportSurveyLayoutResponse' => '\\Confirmit\\Authoring\\StructType\\ExportSurveyLayoutResponse',
            'ExportSurveyWithHTMLRemoved' => '\\Confirmit\\Authoring\\StructType\\ExportSurveyWithHTMLRemoved',
            'ExportSurveyWithHTMLRemovedResponse' => '\\Confirmit\\Authoring\\StructType\\ExportSurveyWithHTMLRemovedResponse',
            'ImportSurvey' => '\\Confirmit\\Authoring\\StructType\\ImportSurvey',
            'ImportSurveyResponse' => '\\Confirmit\\Authoring\\StructType\\ImportSurveyResponse',
            'ImportTranslation' => '\\Confirmit\\Authoring\\StructType\\ImportTranslation',
            'ImportTranslationResponse' => '\\Confirmit\\Authoring\\StructType\\ImportTranslationResponse',
            'ExportTranslation' => '\\Confirmit\\Authoring\\StructType\\ExportTranslation',
            'ExportTranslationResponse' => '\\Confirmit\\Authoring\\StructType\\ExportTranslationResponse',
            'GetPredefinedLists' => '\\Confirmit\\Authoring\\StructType\\GetPredefinedLists',
            'GetPredefinedListsResponse' => '\\Confirmit\\Authoring\\StructType\\GetPredefinedListsResponse',
            'GetPredefinedList' => '\\Confirmit\\Authoring\\StructType\\GetPredefinedList',
            'GetPredefinedListResponse' => '\\Confirmit\\Authoring\\StructType\\GetPredefinedListResponse',
            'GetQuotas' => '\\Confirmit\\Authoring\\StructType\\GetQuotas',
            'GetQuotasResponse' => '\\Confirmit\\Authoring\\StructType\\GetQuotasResponse',
            'GetQuota' => '\\Confirmit\\Authoring\\StructType\\GetQuota',
            'GetQuotaResponse' => '\\Confirmit\\Authoring\\StructType\\GetQuotaResponse',
            'DeleteRouting' => '\\Confirmit\\Authoring\\StructType\\DeleteRouting',
            'DeleteRoutingResponse' => '\\Confirmit\\Authoring\\StructType\\DeleteRoutingResponse',
            'DeleteQuestionnaire' => '\\Confirmit\\Authoring\\StructType\\DeleteQuestionnaire',
            'DeleteQuestionnaireResponse' => '\\Confirmit\\Authoring\\StructType\\DeleteQuestionnaireResponse',
            'GetFormByName' => '\\Confirmit\\Authoring\\StructType\\GetFormByName',
            'GetFormByNameResponse' => '\\Confirmit\\Authoring\\StructType\\GetFormByNameResponse',
            'GetForm' => '\\Confirmit\\Authoring\\StructType\\GetForm',
            'GetFormResponse' => '\\Confirmit\\Authoring\\StructType\\GetFormResponse',
            'GetNode' => '\\Confirmit\\Authoring\\StructType\\GetNode',
            'GetNodeResponse' => '\\Confirmit\\Authoring\\StructType\\GetNodeResponse',
            'GetNodes' => '\\Confirmit\\Authoring\\StructType\\GetNodes',
            'GetNodesResponse' => '\\Confirmit\\Authoring\\StructType\\GetNodesResponse',
            'GetFormsInLoop' => '\\Confirmit\\Authoring\\StructType\\GetFormsInLoop',
            'GetFormsInLoopResponse' => '\\Confirmit\\Authoring\\StructType\\GetFormsInLoopResponse',
            'GetLoopStructure' => '\\Confirmit\\Authoring\\StructType\\GetLoopStructure',
            'GetLoopStructureResponse' => '\\Confirmit\\Authoring\\StructType\\GetLoopStructureResponse',
            'GetConditionBranch' => '\\Confirmit\\Authoring\\StructType\\GetConditionBranch',
            'GetConditionBranchResponse' => '\\Confirmit\\Authoring\\StructType\\GetConditionBranchResponse',
            'GetRouting' => '\\Confirmit\\Authoring\\StructType\\GetRouting',
            'GetRoutingResponse' => '\\Confirmit\\Authoring\\StructType\\GetRoutingResponse',
            'Update' => '\\Confirmit\\Authoring\\StructType\\Update',
            'UpdateResponse' => '\\Confirmit\\Authoring\\StructType\\UpdateResponse',
            'GetSurveyStatus' => '\\Confirmit\\Authoring\\StructType\\GetSurveyStatus',
            'GetSurveyStatusResponse' => '\\Confirmit\\Authoring\\StructType\\GetSurveyStatusResponse',
            'SetSurveyStatus' => '\\Confirmit\\Authoring\\StructType\\SetSurveyStatus',
            'SetSurveyStatusResponse' => '\\Confirmit\\Authoring\\StructType\\SetSurveyStatusResponse',
            'GetExternalAnswers' => '\\Confirmit\\Authoring\\StructType\\GetExternalAnswers',
            'GetExternalAnswersResponse' => '\\Confirmit\\Authoring\\StructType\\GetExternalAnswersResponse',
            'ArrayOfAnswerBase' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfAnswerBase',
            'ProjectExists' => '\\Confirmit\\Authoring\\StructType\\ProjectExists',
            'ProjectExistsResponse' => '\\Confirmit\\Authoring\\StructType\\ProjectExistsResponse',
            'GetBenchmarkProjectIds' => '\\Confirmit\\Authoring\\StructType\\GetBenchmarkProjectIds',
            'GetBenchmarkProjectIdsResponse' => '\\Confirmit\\Authoring\\StructType\\GetBenchmarkProjectIdsResponse',
            'GetProjectEmailObjects' => '\\Confirmit\\Authoring\\StructType\\GetProjectEmailObjects',
            'GetProjectEmailObjectsResponse' => '\\Confirmit\\Authoring\\StructType\\GetProjectEmailObjectsResponse',
            'ArrayOfEmailObject' => '\\Confirmit\\Authoring\\ArrayType\\ArrayOfEmailObject',
            'EmailObject' => '\\Confirmit\\Authoring\\StructType\\EmailObject',
        );
    }
}
